Bug 11612 - winbind crashes with invalid idmap configs
winbind crashes with invalid idmap configs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.3.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 16:02 UTC by Volker Lendecke
Modified: 2015-11-24 08:37 UTC (History)
3 users (show)

See Also:


Attachments
Patch (885 bytes, patch)
2015-11-19 16:05 UTC, Volker Lendecke
no flags Details
Patch (1.10 KB, patch)
2015-11-19 20:28 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2015-11-19 16:02:44 UTC
Patch to follow
Comment 1 Volker Lendecke 2015-11-19 16:05:32 UTC
Created attachment 11607 [details]
Patch
Comment 2 Volker Lendecke 2015-11-19 16:11:03 UTC
Comment on attachment 11607 [details]
Patch

I'll update with a fresh patch soon that contains the cherry-picked from
Comment 3 Volker Lendecke 2015-11-19 20:28:55 UTC
Created attachment 11608 [details]
Patch
Comment 4 Jeremy Allison 2015-11-20 17:19:37 UTC
Comment on attachment 11608 [details]
Patch

LGTM.
Comment 5 Jeremy Allison 2015-11-20 17:20:03 UTC
Re-assigning to Karolin for inclusion in release branches.
Comment 6 Karolin Seeger 2015-11-23 11:32:04 UTC
Pushed to autobuild-v4-3-test.
Comment 7 Karolin Seeger 2015-11-24 08:37:15 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-3-test.
Closing out bug report.

Thanks!